
import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';

class RoundButton extends StatelessWidget {

  String text;
  VoidCallback? onPressed;

  RoundButton({Key? key, this.onPressed, required this.text}): super(key: key);

  @override
  Widget build(BuildContext context) {

    return ElevatedButton(
      child: Text(text),
      style: ElevatedButton.styleFrom(
          primary: const Color(0xFFFF703B),
          textStyle: TextStyle(color: Colors.white, fontSize: 20.sp, letterSpacing: 5.sp),
          elevation: 0,
          minimumSize: Size(double.infinity, 49.w),
          shape: RoundedRectangleBorder(
            borderRadius: BorderRadius.all(Radius.circular(24.5.w)),
          )
      ),
      onPressed: onPressed,
    );
  }

}
